<!-- The CiteStyle XML DTD - describes the citation style of a journal -->
<!-- (C) 2000 Markus Hoenicka <markus@mhoenicka.de> -->

<!-- suggested invocation: -->
<!-- <!DOCTYPE CITESTYLE PUBLIC "-//Markus Hoenicka//DTD CiteStyle V1.8//EN" "http://refdb.sourceforge.net/dtd/citestylex-1.8/citestylex.dtd"> -->

<!ELEMENT STYLESET (CITESTYLE)+>

<!ELEMENT CITESTYLE (STYLENAME, AUTHOR?, COMMENT?, URL?, REFSTYLE, CITSTYLE, BIBSTYLE)>

<!ELEMENT STYLENAME (#PCDATA)>

<!ELEMENT REFSTYLE (PUBTYPE+)>

<!ELEMENT PUBTYPE (((REFNUMBER | CITEKEY | AUTHORLIST | PUBDATE | TITLE | JOURNALNAME | VOLUME | ISSUE | PAGES | PUBLISHER | PUBPLACE | SERIAL | ADDRESS | USERDEF | NOTES | ABSTRACT | LINK | TYPEOFWORK | AREA | OSTYPE | DEGREE | RUNNINGTIME | CLASSCODEINTL | CLASSCODEUS | SENDEREMAIL | RECIPIENTEMAIL | MEDIATYPE | NUMVOLUMES | EDITION | COMPUTER | CONFERENCELOCATION | REGISTRYNUM | CLASSIFICATION | SECTION | PAMPHLETNUM | CHAPTERNUM), SEPARATOR?)+)>

<!ATTLIST PUBTYPE TYPE (ABST|ADVS|ART|BILL|BOOK|CASE|CHAP|COMP|CONF|CTLG|DATA|ELEC|GEN|ICOMM|INPR|JFULL|JOUR|MAP|MGZN|MPCT|MUSIC|NEWS|PAMP|PAT|PCOMM|RPRT|SER|SLIDE|SOUND|STAT|THES|UNBILL|UNPB|VIDEO) #REQUIRED>

<!ELEMENT INTEXTDEF (((REFNUMBER | CITEKEY | AUTHORLIST | PUBDATE | TITLE | JOURNALNAME | VOLUME | ISSUE | PAGES | PUBLISHER | PUBPLACE), SEPARATOR?)+)>

<!ELEMENT AUTHORONLY (((REFNUMBER | AUTHORLIST | PUBDATE | TITLE | JOURNALNAME | VOLUME | ISSUE | PAGES | PUBLISHER | PUBPLACE), SEPARATOR?)+)>

<!ELEMENT YEARONLY (((REFNUMBER | AUTHORLIST | PUBDATE | TITLE | JOURNALNAME | VOLUME | ISSUE | PAGES | PUBLISHER | PUBPLACE), SEPARATOR?)+)>

<!ELEMENT REFNUMBER (PRECEEDING?, FOLLOWING?)>

<!ATTLIST REFNUMBER STYLE (BOLD | ITALIC | BOLDITALIC | SUPER | SUB | ULINE | BOLDULINE | ITULINE | BOLDITULINE | NONE) #IMPLIED>

<!ELEMENT CITEKEY (PRECEEDING?, FOLLOWING?)>

<!ATTLIST CITEKEY STYLE (BOLD | ITALIC | BOLDITALIC | SUPER | SUB | ULINE | BOLDULINE | ITULINE | BOLDITULINE | NONE) #IMPLIED>

<!ELEMENT AUTHORLIST (PRECEEDING?, FOLLOWING?, ABBREVIATEFIRST?, ABBREVIATESUBSEQ?, AEMPTY?, ASAME?, AUTHORSEPS, AUTHORNAMES, TEXT?, TEXTED?)>

<!ATTLIST AUTHORLIST STYLE (BOLD | ITALIC | BOLDITALIC | SUPER | SUB | ULINE | BOLDULINE | ITULINE | BOLDITULINE | NONE) #IMPLIED
                     ALTERNATESTYLE (ABOLD | AITALIC | ABOLDITALIC | ASUPER | ASUB | AULINE | ABOLDULINE | AITULINE | ABOLDITULINE | NONE) #IMPLIED
                     ALTERNATETEXT (AEMPTY | TITLEPART | TITLEPUB | TITLESERIES | TITLEALL | JOURNALNAME| NONE) "AEMPTY"
                     ROLE (PART | PUB | SERIES | ALL) "PUB">

<!ELEMENT ABBREVIATEFIRST (#PCDATA)>

<!ELEMENT ABBREVIATESUBSEQ (#PCDATA)>

<!ATTLIST ABBREVIATEFIRST MAXAUTHOR CDATA #REQUIRED
                     DISPLAYAUTHOR CDATA #REQUIRED
                     STYLE (BOLD | ITALIC | BOLDITALIC | SUPER | SUB | ULINE | BOLDULINE | ITULINE | BOLDITULINE | NONE) #IMPLIED>

<!ATTLIST ABBREVIATESUBSEQ MAXAUTHOR CDATA #REQUIRED
                     DISPLAYAUTHOR CDATA #REQUIRED
                     STYLE (BOLD | ITALIC | BOLDITALIC | SUPER | SUB | ULINE | BOLDULINE | ITULINE | BOLDITULINE | NONE) #IMPLIED>

<!ELEMENT AEMPTY (#PCDATA)>

<!ELEMENT ASAME (#PCDATA)>

<!ELEMENT AUTHORSEPS (TWOSEPS, THREESEPS)>

<!ELEMENT TWOSEPS (#PCDATA)>

<!ELEMENT THREESEPS (THREESEPSEACH, THREESEPSLAST)>

<!ELEMENT THREESEPSEACH (#PCDATA)>

<!ELEMENT THREESEPSLAST (#PCDATA)>

<!ELEMENT AUTHORNAMES (NAMEFIRST, NAMEOTHER)>

<!ELEMENT NAMEFIRST EMPTY>

<!ELEMENT NAMEOTHER EMPTY>

<!ATTLIST NAMEFIRST NAMEORDER (FIRSTMIDDLELAST | LASTCOMMAFIRSTMIDDLE | LASTCOMMASPCFIRSTMIDDLE | LASTFIRSTMIDDLE | LAST) "LASTFIRSTMIDDLE" 
                          INITIALSTYLE (FIRSTSPCMIDDLE | FIRSTSPCM. | FIRSTSPCM | F.SPCM. | F.M. | FSPCM | FM) "F.M."
                          UPPERCASE (NONE | LASTNAME | ALL) "NONE">

<!ATTLIST NAMEOTHER NAMEORDER (FIRSTMIDDLELAST | LASTCOMMAFIRSTMIDDLE | LASTCOMMASPCFIRSTMIDDLE | LASTFIRSTMIDDLE | LAST) "LASTFIRSTMIDDLE"
                          INITIALSTYLE (FIRSTSPCMIDDLE | FIRSTSPCM. | FIRSTSPCM | F.SPCM. | F.M. | FSPCM | FM) "F.M."
                          UPPERCASE (NONE | LASTNAME | ALL) "NONE">

<!ELEMENT TEXT (TEXTSINGLE?, TEXTMULTIPLE?)>

<!ELEMENT TEXTED (TEXTSINGLE?, TEXTMULTIPLE?)>

<!ELEMENT TEXTSINGLE (PRECEEDING?, FOLLOWING?)>

<!ELEMENT TEXTMULTIPLE (PRECEEDING?, FOLLOWING?)>

<!ELEMENT PRECEEDING (#PCDATA)>

<!ELEMENT FOLLOWING (#PCDATA)>

<!ELEMENT PUBDATE (PRECEEDING?, FOLLOWING?, FIRSTSEP?, SECONDSEP?)>

<!ATTLIST PUBDATE FORMAT (YES | NO) "YES"
                  SEQUENCE (MDY | DMY | YMD | MY | YM | MD | DM | Y) "Y"
                  MONTHFORMAT (FULL | ABBREVDOT | THREELETTER | ARABICMONTH | ROMANMONTH) "ARABICMONTH"
                  DAYFORMAT (ARABICDAY | ROMANDAY) "ARABICDAY"
                  YEARFORMAT (FOURDIGIT | TWODIGIT | ROMANYEAR) "FOURDIGIT"
                  PADLEADINGZERO (YY | NN) "NN"
                  ROLE (PRIMARY | SECONDARY | ALL) "PRIMARY"
                  STYLE (BOLD | ITALIC | BOLDITALIC | SUPER | SUB | ULINE | BOLDULINE | ITULINE | BOLDITULINE | NONE) #IMPLIED>

<!ELEMENT FIRSTSEP (#PCDATA)>

<!ELEMENT SECONDSEP (#PCDATA)>

<!ELEMENT TITLE (PRECEEDING?, FOLLOWING?)>

<!ATTLIST TITLE CASE (ASIS | UPPER | LOWER | ICAPS) "ASIS"
                STYLE (BOLD | ITALIC | BOLDITALIC | SUPER | SUB | ULINE | BOLDULINE | ITULINE | BOLDITULINE | NONE) #IMPLIED
                MAXTITLE CDATA #IMPLIED
                ROLE (PART | PUB | SERIES | ALL) "PUB">


<!ELEMENT JOURNALNAME (PRECEEDING?, FOLLOWING?)>

<!ATTLIST JOURNALNAME CASE (ASIS | UPPER | LOWER | ICAPS) "ASIS"
                      DEFAULTTEXT (ABBREV | FULL | USERONE | USERTWO) "ABBREV"
                      ALTERNATETEXT (AABBREV | AFULL | AUSERONE | AUSERTWO) "AFULL"
                      PUNCTUATION (SPACE | PERIOD | PERIODSPACE) "SPACE"
                      STYLE (BOLD | ITALIC | BOLDITALIC | SUPER | SUB | ULINE | BOLDULINE | ITULINE | BOLDITULINE | NONE) #IMPLIED>

<!ELEMENT VOLUME (PRECEEDING?, FOLLOWING?)>

<!ATTLIST VOLUME STYLE (BOLD | ITALIC | BOLDITALIC | SUPER | SUB | ULINE | BOLDULINE | ITULINE | BOLDITULINE | NONE) #IMPLIED>

<!ELEMENT ISSUE (PRECEEDING?, FOLLOWING?)>

<!ATTLIST ISSUE STYLE (BOLD | ITALIC | BOLDITALIC | SUPER | SUB | ULINE | BOLDULINE | ITULINE | BOLDITULINE | NONE) #IMPLIED>

<!ELEMENT PAGES (PRECEEDING?, FOLLOWING?, SINGLEPAGE?, PAGERANGE?)>

<!ATTLIST PAGES STYLE (BOLD | ITALIC | BOLDITALIC | SUPER | SUB | ULINE | BOLDULINE | ITULINE | BOLDITULINE | NONE) #IMPLIED>

<!ELEMENT SINGLEPAGE (PRECEEDING?, FOLLOWING?)>

<!ELEMENT PAGERANGE (PRECEEDING?, RANGESEPARATOR?, FOLLOWING?)>

<!ATTLIST PAGERANGE TYPE (FULL | ABBREV | CHICAGO | TWODIGIT | STARTONLY) "FULL">

<!ELEMENT RANGESEPARATOR (#PCDATA)>

<!ELEMENT PUBLISHER (PRECEEDING?, FOLLOWING?)>

<!ATTLIST PUBLISHER STYLE (BOLD | ITALIC | BOLDITALIC | SUPER | SUB | ULINE | BOLDULINE | ITULINE | BOLDITULINE | NONE) #IMPLIED>

<!ELEMENT PUBPLACE (PRECEEDING?, FOLLOWING?)>

<!ATTLIST PUBPLACE STYLE (BOLD | ITALIC | BOLDITALIC | SUPER | SUB | ULINE | BOLDULINE | ITULINE | BOLDITULINE | NONE) #IMPLIED>

<!ELEMENT SERIAL (PRECEEDING?, FOLLOWING?)>

<!ATTLIST SERIAL STYLE (BOLD | ITALIC | BOLDITALIC | SUPER | SUB | ULINE | BOLDULINE | ITULINE | BOLDITULINE | NONE) #IMPLIED>

<!ELEMENT ADDRESS (PRECEEDING?, FOLLOWING?)>

<!ATTLIST ADDRESS STYLE (BOLD | ITALIC | BOLDITALIC | SUPER | SUB | ULINE | BOLDULINE | ITULINE | BOLDITULINE | NONE) #IMPLIED>

<!ELEMENT USERDEF (PRECEEDING?, FOLLOWING?)>

<!ATTLIST USERDEF STYLE (BOLD | ITALIC | BOLDITALIC | SUPER | SUB | ULINE | BOLDULINE | ITULINE | BOLDITULINE | NONE) #IMPLIED
        ROLE (1|2|3|4|5) "1">

<!ELEMENT NOTES (PRECEEDING?, FOLLOWING?)>

<!ATTLIST NOTES STYLE (BOLD | ITALIC | BOLDITALIC | SUPER | SUB | ULINE | BOLDULINE | ITULINE | BOLDITULINE | NONE) #IMPLIED>

<!ELEMENT ABSTRACT (PRECEEDING?, FOLLOWING?)>

<!ATTLIST ABSTRACT STYLE (BOLD | ITALIC | BOLDITALIC | SUPER | SUB | ULINE | BOLDULINE | ITULINE | BOLDITULINE | NONE) #IMPLIED>

<!ELEMENT LINK (PRECEEDING?, FOLLOWING?)>

<!ATTLIST LINK STYLE (BOLD | ITALIC | BOLDITALIC | SUPER | SUB | ULINE | BOLDULINE | ITULINE | BOLDITULINE | NONE) #IMPLIED
        ROLE (0|1|2|3|4) "0">

<!ELEMENT TYPEOFWORK (PRECEEDING?, FOLLOWING?)>

<!ATTLIST TYPEOFWORK STYLE (BOLD | ITALIC | BOLDITALIC | SUPER | SUB | ULINE | BOLDULINE | ITULINE | BOLDITULINE | NONE) #IMPLIED>

<!ELEMENT AREA (PRECEEDING?, FOLLOWING?)>

<!ATTLIST AREA STYLE (BOLD | ITALIC | BOLDITALIC | SUPER | SUB | ULINE | BOLDULINE | ITULINE | BOLDITULINE | NONE) #IMPLIED>

<!ELEMENT OSTYPE (PRECEEDING?, FOLLOWING?)>

<!ATTLIST OSTYPE STYLE (BOLD | ITALIC | BOLDITALIC | SUPER | SUB | ULINE | BOLDULINE | ITULINE | BOLDITULINE | NONE) #IMPLIED>

<!ELEMENT DEGREE (PRECEEDING?, FOLLOWING?)>

<!ATTLIST DEGREE STYLE (BOLD | ITALIC | BOLDITALIC | SUPER | SUB | ULINE | BOLDULINE | ITULINE | BOLDITULINE | NONE) #IMPLIED>

<!ELEMENT RUNNINGTIME (PRECEEDING?, FOLLOWING?)>

<!ATTLIST RUNNINGTIME STYLE (BOLD | ITALIC | BOLDITALIC | SUPER | SUB | ULINE | BOLDULINE | ITULINE | BOLDITULINE | NONE) #IMPLIED>

<!ELEMENT CLASSCODEINTL (PRECEEDING?, FOLLOWING?)>

<!ATTLIST CLASSCODEINTL STYLE (BOLD | ITALIC | BOLDITALIC | SUPER | SUB | ULINE | BOLDULINE | ITULINE | BOLDITULINE | NONE) #IMPLIED>

<!ELEMENT CLASSCODEUS (PRECEEDING?, FOLLOWING?)>

<!ATTLIST CLASSCODEUS STYLE (BOLD | ITALIC | BOLDITALIC | SUPER | SUB | ULINE | BOLDULINE | ITULINE | BOLDITULINE | NONE) #IMPLIED>

<!ELEMENT SENDEREMAIL (PRECEEDING?, FOLLOWING?)>

<!ATTLIST SENDEREMAIL STYLE (BOLD | ITALIC | BOLDITALIC | SUPER | SUB | ULINE | BOLDULINE | ITULINE | BOLDITULINE | NONE) #IMPLIED>

<!ELEMENT RECIPIENTEMAIL (PRECEEDING?, FOLLOWING?)>

<!ATTLIST RECIPIENTEMAIL STYLE (BOLD | ITALIC | BOLDITALIC | SUPER | SUB | ULINE | BOLDULINE | ITULINE | BOLDITULINE | NONE) #IMPLIED>

<!ELEMENT MEDIATYPE (PRECEEDING?, FOLLOWING?)>

<!ATTLIST MEDIATYPE STYLE (BOLD | ITALIC | BOLDITALIC | SUPER | SUB | ULINE | BOLDULINE | ITULINE | BOLDITULINE | NONE) #IMPLIED>

<!ELEMENT NUMVOLUMES (PRECEEDING?, FOLLOWING?)>

<!ATTLIST NUMVOLUMES STYLE (BOLD | ITALIC | BOLDITALIC | SUPER | SUB | ULINE | BOLDULINE | ITULINE | BOLDITULINE | NONE) #IMPLIED>

<!ELEMENT EDITION (PRECEEDING?, FOLLOWING?)>

<!ATTLIST EDITION STYLE (BOLD | ITALIC | BOLDITALIC | SUPER | SUB | ULINE | BOLDULINE | ITULINE | BOLDITULINE | NONE) #IMPLIED>

<!ELEMENT COMPUTER (PRECEEDING?, FOLLOWING?)>

<!ATTLIST COMPUTER STYLE (BOLD | ITALIC | BOLDITALIC | SUPER | SUB | ULINE | BOLDULINE | ITULINE | BOLDITULINE | NONE) #IMPLIED>

<!ELEMENT CONFERENCELOCATION (PRECEEDING?, FOLLOWING?)>

<!ATTLIST CONFERENCELOCATION STYLE (BOLD | ITALIC | BOLDITALIC | SUPER | SUB | ULINE | BOLDULINE | ITULINE | BOLDITULINE | NONE) #IMPLIED>

<!ELEMENT REGISTRYNUM (PRECEEDING?, FOLLOWING?)>

<!ATTLIST REGISTRYNUM STYLE (BOLD | ITALIC | BOLDITALIC | SUPER | SUB | ULINE | BOLDULINE | ITULINE | BOLDITULINE | NONE) #IMPLIED>

<!ELEMENT CLASSIFICATION (PRECEEDING?, FOLLOWING?)>

<!ATTLIST CLASSIFICATION STYLE (BOLD | ITALIC | BOLDITALIC | SUPER | SUB | ULINE | BOLDULINE | ITULINE | BOLDITULINE | NONE) #IMPLIED>

<!ELEMENT SECTION (PRECEEDING?, FOLLOWING?)>

<!ATTLIST SECTION STYLE (BOLD | ITALIC | BOLDITALIC | SUPER | SUB | ULINE | BOLDULINE | ITULINE | BOLDITULINE | NONE) #IMPLIED>

<!ELEMENT PAMPHLETNUM (PRECEEDING?, FOLLOWING?)>

<!ATTLIST PAMPHLETNUM STYLE (BOLD | ITALIC | BOLDITALIC | SUPER | SUB | ULINE | BOLDULINE | ITULINE | BOLDITULINE | NONE) #IMPLIED>

<!ELEMENT CHAPTERNUM (PRECEEDING?, FOLLOWING?)>

<!ATTLIST CHAPTERNUM STYLE (BOLD | ITALIC | BOLDITALIC | SUPER | SUB | ULINE | BOLDULINE | ITULINE | BOLDITULINE | NONE) #IMPLIED>

<!ELEMENT SEPARATOR (#PCDATA)>

<!ELEMENT CITSTYLE (PRECEEDING?, FOLLOWING?, CITSEPARATOR, RANGESEPARATOR?, INTEXTDEF?, AUTHORONLY?, YEARONLY?)>

<!ATTLIST CITSTYLE INTEXTSEQUENCE (ASIS | AUTHORDATE | CITEKEY | DATEASC | DATEDESC) "AUTHORDATE"
                   STYLE (BOLD | ITALIC | BOLDITALIC | SUPER | SUB | ULINE | BOLDULINE | ITULINE | BOLDITULINE | NONE) #IMPLIED>

<!ELEMENT CITSEPARATOR (#PCDATA)>

<!ELEMENT BIBSTYLE (BIBLIOTITLE?, MONTHS?)>

<!ATTLIST BIBSTYLE BIBLIOSEQUENCE (BASIS | BAUTHORDATE | BCITEKEY | BDATEASC | BDATEDESC) "BAUTHORDATE"
                   BIBLIOFIRSTINDENT CDATA #IMPLIED
                   BIBLIOBLOCKINDENT CDATA #IMPLIED
                   FONTSIZE CDATA #IMPLIED>

<!ELEMENT BIBLIOTITLE (#PCDATA)>

<!ELEMENT AUTHOR (#PCDATA)>

<!ELEMENT COMMENT (#PCDATA)>

<!ELEMENT URL (#PCDATA)>

<!ELEMENT MONTHS (JAN, FEB, MAR, APR, MAY, JUN, JUL, AUG, SEP, OCT, NOV, DEC)>

<!ELEMENT JAN EMPTY>

<!ATTLIST JAN FULL CDATA #IMPLIED
              ABBREV CDATA #IMPLIED
              THREELET CDATA #IMPLIED>

<!ELEMENT FEB EMPTY>
                    
<!ATTLIST FEB FULL CDATA #IMPLIED
              ABBREV CDATA #IMPLIED
              THREELET CDATA #IMPLIED>

<!ELEMENT MAR EMPTY>
                    
<!ATTLIST MAR FULL CDATA #IMPLIED
              ABBREV CDATA #IMPLIED
              THREELET CDATA #IMPLIED>

<!ELEMENT APR EMPTY>
                    
<!ATTLIST APR FULL CDATA #IMPLIED
              ABBREV CDATA #IMPLIED
              THREELET CDATA #IMPLIED>

<!ELEMENT MAY EMPTY>
                    
<!ATTLIST MAY FULL CDATA #IMPLIED
              ABBREV CDATA #IMPLIED
              THREELET CDATA #IMPLIED>

<!ELEMENT JUN EMPTY>
                    
<!ATTLIST JUN FULL CDATA #IMPLIED
              ABBREV CDATA #IMPLIED
              THREELET CDATA #IMPLIED>

<!ELEMENT JUL EMPTY>
                    
<!ATTLIST JUL FULL CDATA #IMPLIED
              ABBREV CDATA #IMPLIED
              THREELET CDATA #IMPLIED>

<!ELEMENT AUG EMPTY>
                    
<!ATTLIST AUG FULL CDATA #IMPLIED
              ABBREV CDATA #IMPLIED
              THREELET CDATA #IMPLIED>

<!ELEMENT SEP EMPTY>
                    
<!ATTLIST SEP FULL CDATA #IMPLIED
              ABBREV CDATA #IMPLIED
              THREELET CDATA #IMPLIED>

<!ELEMENT OCT EMPTY>
                    
<!ATTLIST OCT FULL CDATA #IMPLIED
              ABBREV CDATA #IMPLIED
              THREELET CDATA #IMPLIED>

<!ELEMENT NOV EMPTY>
                    
<!ATTLIST NOV FULL CDATA #IMPLIED
              ABBREV CDATA #IMPLIED
              THREELET CDATA #IMPLIED>

<!ELEMENT DEC EMPTY>

<!ATTLIST DEC FULL CDATA #IMPLIED
              ABBREV CDATA #IMPLIED
              THREELET CDATA #IMPLIED>


